in scala.xml.factory
class LoggedNodeFactory

`abstract class` LoggedNodeFactory [A <: scala.xml.Node]
  `extends` java.lang.Object
  `with` scala.xml.factory.NodeFactory[A]
  `with` scala.util.logging.Logged
  `with` scala.ScalaObject

  This class logs what the nodefactory is actually doing. If you want to see what happens during loading, use it like this:

        object testLogged extends Application {

          val x = new scala.xml.nobinding.NoBindingFactoryAdapter
                with scala.xml.LoggedNodeFactory[scala.xml.Elem]()
                with scala.util.logging.ConsoleLogger;

          Console.println("Start");

          val doc = x.loadXML(new org.xml.sax.InputSource("http://lamp.epfl.ch/~buraq"));

          Console.println("End");

          Console.println(doc);
        }

Author:
  Burak Emir
Version:
  1.0

Constructor Summary
| `def` this

Val Summary
`final` | `val` CACHE : scala.Int(1)
`final` | `val` FULL : scala.Int(2)
`final` | `val` NONE : scala.Int(0)
| `val` logComment : scala.Boolean
| `val` logCompressLevel : scala.Int 0 = no loggging, 1 = cache hits, 2 = detail
| `val` logNode : scala.Boolean
| `val` logProcInstr : scala.Boolean
| `val` logText : scala.Boolean

Val inherited from scala.xml.factory.NodeFactory[A]
cache , ignoreComments, ignoreProcInstr

Def Summary
`override` | `def` makeComment (s: java.lang.String) : scala.Seq[scala.xml.Comment]
`override` | `def` makeNode (pre: java.lang.String, label: java.lang.String, attrSeq: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, children: scala.Seq[scala.xml.Node]) : A logged version of makeNode method
`override` | `def` makeProcInstr (t: java.lang.String, s: java.lang.String) : scala.Seq[scala.xml.ProcInstr]
`override` | `def` makeText (s: java.lang.String) : scala.xml.Text

Def inherited from scala.xml.factory.NodeFactory[A]
construct , create, eqElements, makeComment, makeNode, makeProcInstr, makeText, nodeEquals

Def inherited from scala.util.logging.Logged
log

Constructor Detail

`def` this

Val Detail

`final val` CACHE : scala.Int(1)

`final val` FULL : scala.Int(2)

`final val` NONE : scala.Int(0)

`val` logComment : scala.Boolean

`val` logCompressLevel : scala.Int

  0 = no loggging, 1 = cache hits, 2 = detail

`val` logNode : scala.Boolean

`val` logProcInstr : scala.Boolean

`val` logText : scala.Boolean

Def Detail

`override def` makeComment (s: java.lang.String): scala.Seq[scala.xml.Comment]

`override def` makeNode (pre: java.lang.String, label: java.lang.String, attrSeq: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, children: scala.Seq[scala.xml.Node]): A

  logged version of makeNode method

`override def` makeProcInstr (t: java.lang.String, s: java.lang.String): scala.Seq[scala.xml.ProcInstr]

`override def` makeText (s: java.lang.String): scala.xml.Text